グラフAPIバージョン

Page Crosspost Whitelisted Pages

読み取り

Pages which have established a crossposting relationship with this Page

Graph API Explorer
GET /v25.0/{page-id}/crosspost_whitelisted_pages HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{page-id}/crosspost_whitelisted_pages',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{page-id}/crosspost_whitelisted_pages",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{page-id}/crosspost_whitelisted_pages",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{page-id}/crosspost_whitelisted_pages"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
グラフAPIを使用する方法については、グラフAPIの使用ガイドをご覧ください。

パラメーター

このエンドポイントにはパラメーターがありません。

項目

このエッジからの読み込むではJSONフォーマットの結果が返されます:

{ "data": [], "paging": {} }

data

Pageノードの一覧です。

各ノードに以下のフィールドが追加されます:

フィールド説明
allows_live_crossposts
bool

Whether the Page has allowed your Page to automatically crosspost specific live videos

paging

ページネ―ションについて詳しくは、グラフAPIガイドをご覧ください。

エラーコード

エラー詳細
200Permissions error
210User not visible
100Invalid parameter
80001There have been too many calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
283That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata

作成

このエンドポイントではこの操作を実行できません。

更新中…

このエンドポイントではこの操作を実行できません。

削除中です

このエンドポイントではこの操作を実行できません。